package gob.sv.isna.modelo;
// Generated 25/08/2016 02:27:39 AM by Hibernate Tools 5.1.0.Beta1

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Usuario generated by hbm2java
 */
@Entity
@Table(name="USUARIO",schema="public")
public class Usuario implements Serializable{

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tbusuario_idusuario_seq")
    @javax.persistence.SequenceGenerator(
            name = "tbusuario_idusuario_seq",
            sequenceName = "tbusuario_idusuario_seq",
            allocationSize = 1
    )
    @Column(name = "id_usuario", nullable = false)
    private int id;
        
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "FK_rol")
    private Rol rol;
    
    @Column(name="usuario")
    private String usuario;
    
    @Column(name="contrasenia")
    private String contrasenia;
    
    @Column(name="nombre")
    private String nombre;
    
    @Column(name="apellidoPaterno")
    private String apellidoPaterno;
    
    @Column(name="apellidoMaterno")
    private String apellidoMaterno;
    
    @Column(name="edad")
    private short edad;
    
    @Column(name="correo")
    private String correo;
    
    @Column(name="direccion")
    private String direccion;

    public Usuario() {
    }

    public Usuario(int id, Rol rol, String usuario, String contrasenia, String nombre, String apellidoPaterno,
            short edad, String correo, String direccion) {
        this.id = id;
        this.rol = rol;
        this.usuario = usuario;
        this.contrasenia = contrasenia;
        this.nombre = nombre;
        this.apellidoPaterno = apellidoPaterno;
        this.edad = edad;
        this.correo = correo;
        this.direccion = direccion;
    }

    public Usuario(int id, Rol rol, String usuario, String contrasenia, String nombre, String apellidoPaterno,
            String apellidoMaterno, short edad, String correo, String direccion) {
        this.id = id;
        this.rol = rol;
        this.usuario = usuario;
        this.contrasenia = contrasenia;
        this.nombre = nombre;
        this.apellidoPaterno = apellidoPaterno;
        this.apellidoMaterno = apellidoMaterno;
        this.edad = edad;
        this.correo = correo;
        this.direccion = direccion;
    }

    public int getId() {
        return this.id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Rol getRol() {
        return this.rol;
    }

    public void setRol(Rol rol) {
        this.rol = rol;
    }

    public String getUsuario() {
        return this.usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getContrasenia() {
        return this.contrasenia;
    }

    public void setContrasenia(String contrasenia) {
        this.contrasenia = contrasenia;
    }

    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getApellidoPaterno() {
        return this.apellidoPaterno;
    }

    public void setApellidoPaterno(String apellidoPaterno) {
        this.apellidoPaterno = apellidoPaterno;
    }

    public String getApellidoMaterno() {
        return this.apellidoMaterno;
    }

    public void setApellidoMaterno(String apellidoMaterno) {
        this.apellidoMaterno = apellidoMaterno;
    }

    public short getEdad() {
        return this.edad;
    }

    public void setEdad(short edad) {
        this.edad = edad;
    }

    public String getCorreo() {
        return this.correo;
    }

    public void setCorreo(String correo) {
        this.correo = correo;
    }

    public String getDireccion() {
        return this.direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

}
